package com.mosty.qwzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.qwzx.TbQwSearchJlqdDto;
import com.mosty.base.model.dto.qwzx.TbQwSearchZgmfjDto;
import com.mosty.base.model.entity.qwzx.TbQwBmjlbbJlmx;
import com.mosty.base.model.query.qwzx.TbQwBmjlbbCountQuery;
import com.mosty.base.model.query.qwzx.TbQwBmjlbbQuery;
import com.mosty.base.model.vo.qwzx.Gzqk;
import com.mosty.base.model.vo.qwzx.TbQwBmjlbbCountVo;
import com.mosty.base.model.vo.qwzx.TbQwBmjlbbVo;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

/**
 * @author zengbo
 * @since 2022-06-27
 */
public interface TbQwBmjlbbService {

    @ApiOperation("查询在岗民警辅警数量")
    Gzqk selectOnCop();

    @ApiOperation("计算今日部门警力报备情况")
    void setBmjlbbInfo(String time);

    @ApiOperation("查询警力清单,存入redis中")
    List<Map<String, Object>> getJlqdListToRedis(TbQwSearchJlqdDto dto);

    @ApiOperation("查询警力清单")
    List<Map<String, Object>> getJlqdList(TbQwSearchJlqdDto dto);

    @ApiOperation("高新领导端--查询在岗警力数量")
    Map<String, Object> getZgjlCount();

    @ApiOperation("值班表统计")
    List<Map<String, Object>> countCdepTree(String ssbmdm);
}
